clc; clear all;
loadlibrary('FRP')
%% INPUT
S0=100; strike=100; maturity=1;
dividends_times=[0.5];% times at which the dividend is paid
dividend=10; %cash dividend paid at each dividend time
rate=0.05;
dyield=0; 
% Black-Scholes
sigma=0.2;
% Merton
sigma_M=0.2;
lambda=1;
muj=0;
sigmaj=0.2;
% Bates 
sigma0=0.2; % starting value of the volatility
Lambda=0; Muj=0; SigmaJ=0; %jump parameters (Lambda= intensity, Muj=mean of the jump, SigmaJ=standard deviation of the jumps)
volvol=0.2; long_run_var=0.2*0.2; mean_rev=2; rho=0; % Variance parameters
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

BS_price=Bs_call_american(rate,dyield,sigma,strike,maturity,...
     dividend, dividends_times, S0)

MRT_price=Merton_call_american(rate,dyield,sigma_M,lambda,muj,sigmaj,...
     strike,maturity,dividend, dividends_times, S0)
 
BTS_price=Bates_call_american(S0, strike,  maturity, sigma0, Lambda,Muj,SigmaJ,long_run_var,mean_rev,volvol,... 
		                     rho, rate,dyield,dividend,dividends_times)
                         
unloadlibrary('FRP')